Subject: Re: bug#36160: 25.2; Emacs does not ask to save modified files when shutting down OS

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 13 Jun 2019 18:56:42 +0200

Glenn Morris <[email-masked]> writes:

> Does any editor complain in such a situation?
> It would mean a user process could block a shutdown, which seems unlikely.

I've got an Apple machine at work, and when I try to reboot it, there
are frequently user processes that stop the process.  It's really
annoying.

So it's available on some systems...

I don't think Emacs wants to do that, but it could, like, listen to dbus
messages about being shut down and try to autosave some buffers, for
instance...  Perhaps?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no